From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1503648-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 2686B158062
	for <garchives@archives.gentoo.org>; Mon,  3 Apr 2023 00:47:57 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 649C7E080E;
	Mon,  3 Apr 2023 00:47:56 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [140.211.166.183])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 4CDCDE080E
	for <gentoo-commits@lists.gentoo.org>; Mon,  3 Apr 2023 00:47:56 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 62F16340B53
	for <gentoo-commits@lists.gentoo.org>; Mon,  3 Apr 2023 00:47:55 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id D8F4EA21
	for <gentoo-commits@lists.gentoo.org>; Mon,  3 Apr 2023 00:47:51 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1680482787.61ffb3d6e46092265720237166a0a0c575c4d472.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-io/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-ruby/async-io/async-io-1.34.3-r1.ebuild
X-VCS-Directories: dev-ruby/async-io/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 61ffb3d6e46092265720237166a0a0c575c4d472
X-VCS-Branch: master
Date: Mon,  3 Apr 2023 00:47:51 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: d814a579-10b0-4bb8-a812-cc21ed482f8e
X-Archives-Hash: bed963b8ca63424a2760a9726af2d57b

commit:     61ffb3d6e46092265720237166a0a0c575c4d472
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  2 23:09:04 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr  3 00:46:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61ffb3d6

dev-ruby/async-io: enable ruby32

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/async-io/async-io-1.34.3-r1.ebuild | 36 +++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-ruby/async-io/async-io-1.34.3-r1.ebuild b/dev-ruby/async-io/async-io-1.34.3-r1.ebuild
new file mode 100644
index 000000000000..18b62dfdce49
--- /dev/null
+++ b/dev-ruby/async-io/async-io-1.34.3-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRA_DOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides support for asynchronous TCP, UDP, UNIX and SSL sockets"
+HOMEPAGE="https://github.com/socketry/async-io"
+SRC_URI="https://github.com/socketry/async-io/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/async"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/async-container-0.15:0
+	>=dev-ruby/async-rspec-1.10:1
+	dev-ruby/rack-test
+)"
+
+all_ruby_prepare() {
+	sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+	# Avoid test dependency on covered
+	sed -i -e '/covered/ s:^:#:' spec/spec_helper.rb || die
+}